/*
  ADD POW JOIN ACTION SCRIPT 

   AUGUST 2007 - norrin (norrins_nook@iprimus.com.au)  

  Version:  Beta 0.4 - 29th October 2007	                     
*******************************************************************************************************

Based on an idea by Bravo 6

*******************************************************************************************************
Start POW_Join_action.sqf
*/

if (!local player) exitWith {};

_group = group player;

_c = 0;
POW2_capture = false;
sleep 0.5;
	
//Body of the script
while {true} do
{	
	while {!POW2_capture && alive player} do
	{	
		//Check to see if unit from group is within 3 metres of POW2
		_d = 0;
		{if (_x distance pow2 <= 3 && alive pow2) then {_d = _d + 1}} forEach units _group; 
		
		//add capture action to group leader if unit from _group is within 3 metres of POW2 
		if(player == leader _group && _d > 0 && _c == 0) then
		{
			call compile format ["myaction_capture2_%1 = %1 addAction [""Capture POW2"", ""POW_sqf\capture2.sqf"",_group, 0, false, true]", player]; 
			_c = _c + 1;
		};
		
		//Check to see if unit from group is within 3 metres of POW2
		_e = 0;
		{if (player == leader _group && _x distance pow2 <= 3 && alive pow2) then {_e = _e + 1}} forEach units _group;

		//remove capture action if unit from _group is not within 3 metres of POW2
		if(player == leader _group && _c == 1 && _e == 0) then
		{	
			call compile format ["%1 removeAction myaction_capture2_%1;", player];
		
			_c = 0;
			sleep 2;
		};
		sleep 2;
	};

	//if the group leader dies remove action
	if (!POW2_capture && !alive player) then
	{	
		call compile format ["%1 removeAction myaction_capture2_%1;", player];
		_c = 0;
		sleep 2;
	};

	//Exit script if POW2 joins group or if POW2 is dead
	if (POW2_capture || !alive pow2) exitWith 
	{
		call compile format ["%1 removeAction myaction_capture2_%1;", player];
	};
		
};
	
